/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.risk;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/23 17:01
 */
public enum ThresholdStatusEnum {
    /**
     * 低低
     */
    LOW_LOW(1, "低低"),

    /**
     * 低
     */
    LOW(2, "低"),

    /**
     * 高
     */
    HIGH(3, "高"),

    /**
     * 高高
     */
    HIGH_HIGH(4, "高高"),

    /**
     * 熄灭
     */
    FLAME_EXTINGUISH(5, "熄灭");

    @Getter
    private final Integer code;

    @Getter
    private final String name;

    private static final List<CodeNameVo> LIST = new ArrayList<>();

    static {
        for (ThresholdStatusEnum item : values()) {
            LIST.add(new CodeNameVo(item.code, item.name));
        }
    }

    ThresholdStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getByCode(Integer code) {
        for (ThresholdStatusEnum item : values()) {
            if (item.code.equals(code)) {
                return item.getName();
            }
        }
        throw new RuntimeException("ThresholdStatus获取异常状态");
    }

    public static List<CodeNameVo> getAll() {
        return LIST;
    }
}
