/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.rehearsal;

import java.io.Serializable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/11 17:04
 */
@Repository
public interface RehearsalPlanLogRepository
    extends JpaRepository<RehearsalPlanLog, Serializable>, JpaSpecificationExecutor<RehearsalPlanLog> {
    /**
     * 根据演练计划查询演练计划实施数据
     * @param rehearsalPlan 演练计划
     * @return 演练计划实施数据
     */
    RehearsalPlanLog findByRehearsalPlan(RehearsalPlan rehearsalPlan);
}
