/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.warningMsg;

import com.yiring.app.domain.workArea.WorkArea;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.hibernate.annotations.Comment;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/21 16:14
 */
@Getter
@Setter
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_WARNING_MESSAGE")
@Comment("预警信息")
public class WarningMessage extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 5118710539465436913L;

    @OneToOne
    @Comment("工区")
    WorkArea workArea;

    @Comment("位号")
    String tagNum;

    @Comment("阈值状态")
    String thrState;

    @Comment("风险等级")
    String riskLevel;

    @Comment("预警状态")
    String status;

    @Comment("监测值")
    String monitorValue;

    @Comment("通知方式")
    String notificationMethod;

    @Comment("处置接收人")
    String noticeRecipient;

    @Comment("通知方式")
    String notificationInfo;
}
