/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.workArea;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/21 10:12
 */
@ExcelModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WorkAreaExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -122186147042368396L;

    @ExcelColumn(title = "工区名称")
    String workAreaName;

    @ExcelColumn(title = "消抖阈值（秒）")
    Integer threshold;

    @ExcelColumn(title = "超时时间（秒）")
    Integer timeout;

    @ExcelColumn(title = "负责人")
    String personInCharge;

    @ExcelColumn(title = "联系电话")
    String mobile;
}
