/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.risk;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 部门信息控制器
 *
 * @author LJ-2204
 * @date 2022/5/24
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("RiskWithdrawalPushSaveParam")
public class RiskWithdrawalPushSaveParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3521301923886149409L;

    @ApiModelProperty(value = "风险推送id", example = "1", required = true)
    @NotNull(message = "风险推送id不能为空")
    Long riskPushId;

    @ApiModelProperty(value = "通知方式", example = "APP/SMS", required = true)
    @NotEmpty(message = "通知方式不能为空")
    String types;

    @ApiModelProperty(value = "通知范围", example = "23", required = true)
    @NotEmpty(message = "通知范围不能为空")
    String scope;
}
