/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.warningMsg;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/23 13:44
 */
@ApiModel("WarningMessageQueryParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WarningMessageQueryParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 7062498310056412092L;

    @ApiModelProperty(value = "工区id", example = "1")
    Long workAreaId;

    @ApiModelProperty(value = "位号", example = "1")
    String tagNum;

    @ApiModelProperty(value = "阈值状态", example = "1")
    String thrState;

    @ApiModelProperty(value = "风险登记", example = "1")
    String riskLevel;

    @ApiModelProperty(value = "预警状态", example = "1")
    String status;

    @ApiModelProperty(value = "开始时间", example = "2022-05-23 22:22:22")
    LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间", example = "2022-05-23 22:22:22")
    LocalDateTime endTime;

    @ApiModelProperty(value = "每页记录数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "页码", example = "1")
    Integer pageNo;
}
