/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.risk;

import com.yiring.app.param.risk.RiskPushConditionParam;
import com.yiring.app.param.risk.RiskPushSaveParam;
import com.yiring.app.vo.risk.RiskPushVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 风险推送
 *
 * @author LJ-2204
 * @date 2022/5/23
 */
public interface RiskPushService {
    /**
     * 新增
     * @param param RiskPushSaveParam
     * @return Result<String>
     */
    Result<String> add(RiskPushSaveParam param);

    /**
     * 删除
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 分页查询
     * @param param RiskPushConditionParam
     * @param pageParam PageParam
     * @return Result<PageVo<RiskPushVo>>
     */
    Result<PageVo<RiskPushVo>> page(RiskPushConditionParam param, PageParam pageParam);

    /**
     * 查询详情
     * @param idParam IdParam
     * @return Result<RiskPushVo>
     */
    Result<RiskPushVo> info(IdParam idParam);
}
