/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.warningMsg;

import com.yiring.app.param.warningMsg.WarningMessageParam;
import com.yiring.app.param.warningMsg.WarningMessageQueryParam;
import com.yiring.app.vo.warningMsg.WarningMessageCountVo;
import com.yiring.app.vo.warningMsg.WarningMessageRecVo;
import com.yiring.app.vo.warningMsg.WarningMessageVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.IndexParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

public interface WarningMessageService {
    /**
     * 通知处置预警信息
     * @author tzl
     * @date 2022/5/23 14:06
     * @param warningMessageParam WarningMessageParam
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> update(WarningMessageParam warningMessageParam, IdParam idParam);
    /**
     * 删除已处置过的预警信息
     * @author tzl
     * @date 2022/5/23 14:06
     * @param idParam IdParam
     * @return com.yiring.common.core.Result<java.lang.String>
     */
    Result<String> delete(IdParam idParam);
    /**
     * 分页查询预警信息
     * @author tzl
     * @date 2022/5/23 14:07
     * @param warningMessageQueryParam WarningMessageQueryParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.warningMsg.WarningMessageVo>>
     */
    Result<PageVo<WarningMessageVo>> page(WarningMessageQueryParam warningMessageQueryParam);
    /**
     * 导出预警信息
     * @author tzl
     * @date 2022/5/23 14:49
     * @param warningMessageQueryParam WarningMessageQueryParam
     * @param httpServletResponse  HttpServletResponse
     */
    void export(WarningMessageQueryParam warningMessageQueryParam, HttpServletResponse httpServletResponse);

    /**
     *  根据时间查询统计各个风险预警的数量
     * @author tzl
     * @date 2022/5/23 16:59
     * @param warningMessageQueryParam WarningMessageQueryParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.warningMsg.WarningMessageCountVo>>
     */
    Result<PageVo<WarningMessageCountVo>> list(WarningMessageQueryParam warningMessageQueryParam);
    /**
     * 根据位号查询预警日志记录
     * @author tzl
     * @date 2022/5/24 10:52
     * @param indexParam IndexParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.warningMsg.WarningMessageVo>>
     */
    Result<PageVo<WarningMessageRecVo>> listRec(IndexParam indexParam);
    //    /**
    //     * 导出预警日志记录
    //     * @author tzl
    //     * @date 2022/5/25 15:17
    //     * @param warningMessageQueryParam WarningMessageQueryParam
    //     * @param httpServletResponse  HttpServletResponse
    //     */
    //    void exportRec(WarningMessageQueryParam warningMessageQueryParam, HttpServletResponse httpServletResponse);
}
