/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.district;

import com.yiring.app.domain.district.District;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 14:41
 */
@ApiModel("区域内员工数量")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class DistrictUserVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 6164018365847108448L;

    @ApiModelProperty(value = "区域名称", example = "生产区域")
    private String name;

    @ApiModelProperty(value = "此区域的员工数量", example = "20")
    private Integer userNum;

    public static DistrictUserVo transform(District district) {
        return DistrictUserVo.builder().name(district.getName()).userNum(district.getTags().size()).build();
    }
}
