/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.risk;

import com.yiring.app.constant.rehearsal.RiskLevelEnum;
import com.yiring.app.domain.risk.Threshold;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 17:42
 */
@ApiModel("风险预警管理")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ThresholdVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 5075164198170220832L;

    @ApiModelProperty(value = "阈值区间起始值", example = "1.5")
    private String min;

    @ApiModelProperty(value = "阈值区间结束值", example = "20.2")
    private String max;

    @ApiModelProperty(value = "阈值状态", example = "1")
    private Integer status;

    @ApiModelProperty(value = "风险等级:1-红色风险,2-橙色风险,3-黄色风险,4-蓝色风险", example = "1")
    private String riskLevel;

    public static ThresholdVo transform(Threshold threshold) {
        return ThresholdVo
            .builder()
            .min(threshold.getMin())
            .max(threshold.getMax())
            .status(threshold.getStatus())
            .riskLevel(RiskLevelEnum.getByCode(threshold.getRiskLevel()))
            .build();
    }
}
