/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.warningMsg;

import com.yiring.app.domain.workArea.WorkArea;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/23 13:50
 */
@ApiModel("WarningMessageVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class WarningMessageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 526816538193243051L;

    @ApiModelProperty(value = "主键id", example = "1")
    Long id;

    @ApiModelProperty(value = "工区信息", example = "WorkArea")
    WorkArea workArea;

    @ApiModelProperty(value = "位号", example = "1")
    String tagNum;

    @ApiModelProperty(value = "阈值状态", example = "1")
    String thrState;

    @ApiModelProperty(value = "风险登记", example = "1")
    String riskLevel;

    @ApiModelProperty(value = "预警状态", example = "1")
    String status;

    @ApiModelProperty(value = "监测值", example = "1")
    String monitorValue;

    @ApiModelProperty(value = "预警时间", example = "2022-02-23 00:00:00")
    String createTime;

    @ApiModelProperty(value = "修改时间", example = "2022-02-23 00:00:00")
    String updateTime;

    @ApiModelProperty(value = "通知方式", example = "1,2")
    String notificationMethod;

    @ApiModelProperty(value = "处置接收人", example = "1,2")
    String noticeRecipient;

    @ApiModelProperty(value = "通知内容", example = "去处理")
    String notificationInfo;
}
