/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.location.fence;

import com.yiring.app.param.location.fence.FenceAlarmPushLogConditionParam;
import com.yiring.app.service.location.fence.FenceAlarmPushLogService;
import com.yiring.app.vo.location.fence.FenceAlarmPushLogVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/18 10:21
 */
@Api(tags = "围栏报警推送记录")
@RestController
@RequestMapping("/push/log")
public class FenceAlarmPushLogController {

    @Resource
    private FenceAlarmPushLogService fenceAlarmPushLogService;

    @ApiOperation(value = "查询推送记录列表")
    @GetMapping("/findList")
    public Result<PageVo<FenceAlarmPushLogVo>> findList(
        @Valid FenceAlarmPushLogConditionParam conditionParam,
        @Valid PageParam pageParam
    ) {
        return fenceAlarmPushLogService.findList(conditionParam, pageParam);
    }
}
