/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户修改手机号
 *
 * @author LJ-2204
 * @date 2022/5/21
 */

@ApiModel("UserPhoneParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserPhoneParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3240552295880947685L;

    @ApiModelProperty(value = "手机号码", example = "1888888888", required = true)
    @NotEmpty(message = "手机号码不能为空")
    String mobile;

    @ApiModelProperty(value = "验证码", example = "7758", required = true)
    @NotEmpty(message = "验证码不能为空")
    String code;

    @ApiModelProperty(value = "类型", example = "phone/pwd", required = true)
    @NotEmpty(message = "类型不能为空")
    String type;
}
