/* (C) 2022 YiRing, Inc. */
package com.yiring.common.util;

import cn.hutool.core.io.file.FileReader;
import java.io.File;
import java.io.IOException;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import javax.servlet.http.HttpServletResponse;
import lombok.experimental.UtilityClass;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;

/**
 * 文件工具类
 *
 * @author Jim
 * @version 0.1
 * 2022/4/22 13:54
 */

@UtilityClass
public class FileUtils {

    /**
     * 文件下载
     * @param response HttpServletResponse
     * @param file File
     * @throws IOException IOException
     */
    public void download(HttpServletResponse response, File file) throws IOException {
        String filename = URLEncoder.encode(file.getName(), StandardCharsets.UTF_8);
        response.setContentType(MediaType.APPLICATION_OCTET_STREAM_VALUE);
        response.setHeader(HttpHeaders.CONTENT_LENGTH, String.valueOf(file.length()));
        response.setHeader(HttpHeaders.CONTENT_DISPOSITION, "attachment;filename=" + filename);
        FileReader.create(file).writeToStream(response.getOutputStream(), true);
    }
}
